package edu.nyu.scps.etch;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.graphics.Path;
import android.view.MotionEvent;
import android.view.View;

public class EtchView extends View {
	final Path path;
	final Paint paint = new Paint(Paint.ANTI_ALIAS_FLAG);

	public EtchView(Context context, Path p) {
		super(context);
		path = p;

		paint.setColor(Color.BLACK);
		paint.setStyle(Paint.Style.STROKE);
		paint.setStrokeWidth(1);

		setOnTouchListener(new View.OnTouchListener() {
			@Override
			public boolean onTouch(View v, MotionEvent event) {
				switch(event.getAction()) {
				case MotionEvent.ACTION_DOWN:
					path.moveTo(event.getX(), event.getY());
					break;

				case MotionEvent.ACTION_MOVE:
					path.lineTo(event.getX(), event.getY());
					break;

				default:
					return false;
				}

				invalidate();	//call onDraw
				return true;
			}
		});
	}

	@Override
	protected void onDraw(Canvas canvas) {
		canvas.drawColor(Color.WHITE);	//background
		canvas.drawPath(path, paint);
	}

	protected Path getPath() {
		return path;
	}
}
